# TOPSIS

**T**echnique for **O**rder **P**reference by **S**imilarity to **I**deal **S**olution
(TOPSIS) originated in the 1980s as a multi-criteria decision making method.
TOPSIS chooses the alternative of shortest Euclidean distance from the ideal solution,
and greatest distance from the negative-ideal solution.

<br>

## Steps to install this package:

```
>> pip install Topsis_Mayank_102097021
```

### Example of how to run this package using CLI:

```
>> topsis data.csv 1,1,2,1,2 +,+,-,-,+ result.csv
```

## Sample input file (data.csv)

| Fund Name | P1   | P2   | P3  | P4   | P5    |
|-----------|------|------|-----|------|-------|
| M1        | 0.84 | 0.71 | 3.6 | 41.8 | 11.74 |
| M2        | 0.65 | 0.42 | 3.4 | 42.2 | 11.67 |
| M3        | 0.73 | 0.53 | 5.9 | 44.8 | 12.99 |
| M4        | 0.84 | 0.71 | 4.3 | 31.1 | 9.24  |
| M5        | 0.70 | 0.49 | 5.3 | 47.8 | 13.57 |
| M6        | 0.63 | 0.40 | 3.8 | 51.4 | 14.06 |
| M7        | 0.71 | 0.50 | 6.3 | 38.7 | 11.55 |
| M8        | 0.83 | 0.69 | 3.0 | 66.4 | 17.73 |

<br>

## Sample output file (result.csv)

| Fund Name | P1   | P2   | P3  | P4   | P5    | Topsis Score | Rank |
|-----------|------|------|-----|------|-------|--------------|------|
| M1        | 0.84 | 0.71 | 3.6 | 41.8 | 11.74 | 0.558223797  | 2    |
| M2        | 0.65 | 0.42 | 3.4 | 42.2 | 11.67 | 0.436582006  | 4    |
| M3        | 0.73 | 0.53 | 5.9 | 44.8 | 12.99 | 0.348034209  | 7    |
| M4        | 0.84 | 0.71 | 4.3 | 31.1 | 9.24  | 0.419806643  | 5    |
| M5        | 0.7  | 0.49 | 5.3 | 47.8 | 13.57 | 0.404084221  | 6    |
| M6        | 0.63 | 0.4  | 3.8 | 51.4 | 14.06 | 0.50688539   | 3    |
| M7        | 0.71 | 0.5  | 6.3 | 38.7 | 11.55 | 0.220136412  | 8    |
| M8        | 0.83 | 0.69 | 3   | 66.4 | 17.73 | 0.973068125  | 1    |

<br>
The output file contains columns of input file along with two additional columns having **Topsis Score** and **Rank**